searchNodes=[{"doc":"","ref":"AssertIdentity.html","title":"AssertIdentity","type":"module"},{"doc":"Asserts that a and b have the same identity. Checks that the id keys of all provided structs are equal. Also compares any lists. This is useful to assert that Ecto structs are equal without doing a comparison on the direct structs, which may not be strictly equivalent due to e.g. association preloading. Raises ExUnit.AssertionError if identities can&#39;t be compared. Options sorted - If true, indicates that the given lists are already sorted and should not be sorted by the function Examples iex&gt; AssertIdentity.assert_ids_match([%{id: 1}], [%{id: 1}]) true iex&gt; AssertIdentity.assert_ids_match({[%{&quot;id&quot; =&gt; 1}], &quot;id&quot;}, {[%{&quot;id&quot; =&gt; 1}], &quot;id&quot;}) true iex&gt; AssertIdentity.assert_ids_match(%{id: 1}, %{id: 1}) true iex&gt; AssertIdentity.assert_ids_match({%{&quot;id&quot; =&gt; 1}, &quot;id&quot;}, {%{&quot;id&quot; =&gt; 1}, &quot;id&quot;}) true iex&gt; AssertIdentity.assert_ids_match([%{id: 2}, %{id: 1}], [%{id: 1}, %{id: 2}]) true","ref":"AssertIdentity.html#assert_ids_match/3","title":"AssertIdentity.assert_ids_match/3","type":"function"},{"doc":"Value that can be compared by identity.","ref":"AssertIdentity.html#t:comparable/0","title":"AssertIdentity.comparable/0","type":"type"},{"doc":"AssertIdentity ExUnit assertions for comparing data structures by identity.","ref":"readme.html","title":"AssertIdentity","type":"extras"},{"doc":"The package can be installed by adding assert_identity to your list of dependencies in mix.exs: def deps do [ {:assert_identity, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"AssertIdentity - Installation","type":"extras"},{"doc":"Check the documentation for more details. AssertIdentity is designed to be used with ExUnit. It provides assertions to check that two inputs have the same identity. This is useful, for example, when dealing with Ecto structs which may not be strictly equivalent due to e.g. association preloading. For convenience, you can import the helpers in your test case: def MyApp.DataCase do use ExUnit.CaseTemplate using do quote do import MyApp.DataCase import AssertIdentity end end end Or otherwise just directly in your test: def MyApp.ModuleTest do import AssertIdentity end Use the assert_ids_match function to check that two maps, structs, or lists of the former have the same identity (i.e., the same values for the :id key). You can optionally specify the key name if not :id. def MyApp.PostTest do use MyApp.DataCase test &quot;list_posts/0 returns all posts&quot; do post = insert(:post) assert_ids_match(Posts.list_posts(), [post]) end end","ref":"readme.html#usage","title":"AssertIdentity - Usage","type":"extras"},{"doc":"Contributions are welcome! To make changes, clone the repo, make sure tests pass, and then open a PR on GitHub. git clone https://github.com/newaperio/assert_identity.git cd assert_identity mix deps.get mix test","ref":"readme.html#contributing","title":"AssertIdentity - Contributing","type":"extras"},{"doc":"AssertIdentity is Copyright © 2020 NewAperio. It is free software, and may be redistributed under the terms specified in the LICENSE file.","ref":"readme.html#license","title":"AssertIdentity - License","type":"extras"},{"doc":"AssertIdentity is built by NewAperio, LLC. NewAperio is a web and mobile design and development studio. We offer expert Elixir and Phoenix development as part of our portfolio of services. Get in touch to see how our team can help you.","ref":"readme.html#about-newaperio","title":"AssertIdentity - About NewAperio","type":"extras"}]